import axios from 'axios';
import qs from 'query-string';
import type { DescData } from '@arco-design/web-vue/es/descriptions/interface';

export interface PolicyRecord {
  id: string;
  number: number;
  name: string;
  contentType: 'img' | 'horizontalVideo' | 'verticalVideo';
  filterType: 'artificial' | 'rules';
  count: number;
  status: 'online' | 'offline';
  createdTime: string;
}

export interface PolicyParams extends Partial<PolicyRecord> {
  current: number;
  pageSize: number;
}

export interface PolicyListRes {
  list: PolicyRecord[];
  total: number;
}

export function queryKbList(params) {
  return axios.get('/api/v1/kb/list', {
    params
  });
}

export function queryKbdetail(params) {
  return axios.get('/api/v1/kb/detail', {
    params
  });
}


export function queryKbtenantInfo(params) {
  return axios.get('/api/v1/user/tenant_info', {
    params
  });
}

export function queryKbDocumentList(params) {
  return axios.get('/api/v1/document/list', {
    params
  });
}